import request from '@/utils/request'

// 查询商户应用配置列表
export function listMerchantAppConfig(query) {
  return request({
    url: '/his/merchantAppConfig/list',
    method: 'get',
    params: query
  })
}

// 查询商户应用配置详细
export function getMerchantAppConfig(id) {
  return request({
    url: '/his/merchantAppConfig/' + id,
    method: 'get'
  })
}

// 新增商户应用配置
export function addMerchantAppConfig(data) {
  return request({
    url: '/his/merchantAppConfig',
    method: 'post',
    data: data
  })
}

// 修改商户应用配置
export function updateMerchantAppConfig(data) {
  return request({
    url: '/his/merchantAppConfig',
    method: 'put',
    data: data
  })
}

// 删除商户应用配置
export function delMerchantAppConfig(id) {
  return request({
    url: '/his/merchantAppConfig/' + id,
    method: 'delete'
  })
}

// 导出商户应用配置
export function exportMerchantAppConfig(query) {
  return request({
    url: '/his/merchantAppConfig/export',
    method: 'get',
    params: query
  })
}
